/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: precompiled_connectivity.hxx,v $
 * $Revision: 1.4 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

// MARKER(update_precomp.py): Generated on 2006-09-01 17:49:36.436601

#ifdef PRECOMPILED_HEADERS

//---MARKER---
#include "sal/config.h"
#include "sal/types.h"

#include "boost/shared_ptr.hpp"

#include "com/sun/star/awt/XWindow.hpp"
#include "com/sun/star/beans/NamedValue.hpp"
#include "com/sun/star/beans/Property.hpp"
#include "com/sun/star/beans/PropertyAttribute.hpp"
#include "com/sun/star/beans/PropertyState.hpp"
#include "com/sun/star/beans/PropertyValue.hpp"
#include "com/sun/star/beans/XFastPropertySet.hpp"
#include "com/sun/star/beans/XPropertyChangeListener.hpp"
#include "com/sun/star/beans/XPropertySet.hpp"
#include "com/sun/star/beans/XPropertySetInfo.hpp"
#include "com/sun/star/connection/XConnection.hpp"
#include "com/sun/star/container/ElementExistException.hpp"
#include "com/sun/star/container/XChild.hpp"
#include "com/sun/star/container/XContainer.hpp"
#include "com/sun/star/container/XContentEnumerationAccess.hpp"
#include "com/sun/star/container/XEnumeration.hpp"
#include "com/sun/star/container/XEnumerationAccess.hpp"
#include "com/sun/star/container/XHierarchicalNameAccess.hpp"
#include "com/sun/star/container/XIndexAccess.hpp"
#include "com/sun/star/container/XNameAccess.hpp"
#include "com/sun/star/container/XNamed.hpp"
#include "com/sun/star/document/XDocumentSubStorageSupplier.hpp"
#include "com/sun/star/embed/ElementModes.hpp"
#include "com/sun/star/embed/XStorage.hpp"
#include "com/sun/star/embed/XTransactedObject.hpp"
#include "com/sun/star/embed/XTransactionBroadcaster.hpp"
#include "com/sun/star/embed/XTransactionListener.hpp"
#include "com/sun/star/form/FormComponentType.hpp"
#include "com/sun/star/frame/XComponentLoader.hpp"
#include "com/sun/star/frame/XDesktop.hpp"
#include "com/sun/star/frame/XModel.hpp"
#include "com/sun/star/frame/XTerminateListener.hpp"
#include "com/sun/star/graphic/GraphicColorMode.hpp"
#include "com/sun/star/graphic/XGraphicProvider.hpp"
#include "com/sun/star/i18n/KParseTokens.hpp"
#include "com/sun/star/i18n/KParseType.hpp"
#include "com/sun/star/i18n/NumberFormatIndex.hpp"
#include "com/sun/star/i18n/XCharacterClassification.hpp"
#include "com/sun/star/i18n/XLocaleData.hpp"
#include "com/sun/star/io/IOException.hpp"
#include "com/sun/star/io/XInputStream.hpp"
#include "com/sun/star/io/XOutputStream.hpp"
#include "com/sun/star/io/XSeekable.hpp"
#include "com/sun/star/io/XStream.hpp"
#include "com/sun/star/java/XJavaVM.hpp"
#include "com/sun/star/lang/DisposedException.hpp"
#include "com/sun/star/lang/IllegalArgumentException.hpp"
#include "com/sun/star/lang/IndexOutOfBoundsException.hpp"
#include "com/sun/star/lang/Locale.hpp"
#include "com/sun/star/lang/NullPointerException.hpp"
#include "com/sun/star/lang/ServiceNotRegisteredException.hpp"
#include "com/sun/star/lang/XComponent.hpp"
#include "com/sun/star/lang/XEventListener.hpp"
#include "com/sun/star/lang/XInitialization.hpp"
#include "com/sun/star/lang/XMultiServiceFactory.hpp"
#include "com/sun/star/lang/XServiceInfo.hpp"
#include "com/sun/star/lang/XSingleComponentFactory.hpp"
#include "com/sun/star/lang/XSingleServiceFactory.hpp"
#include "com/sun/star/lang/XUnoTunnel.hpp"
#include "com/sun/star/mozilla/MozillaProductType.hpp"
#include "com/sun/star/mozilla/XCodeProxy.hpp"
#include "com/sun/star/mozilla/XMozillaBootstrap.hpp"
#include "com/sun/star/mozilla/XProxyRunner.hdl"
#include "com/sun/star/mozilla/XProxyRunner.hpp"
#include "com/sun/star/reflection/XProxyFactory.hpp"
#include "com/sun/star/registry/XImplementationRegistration.hpp"
#include "com/sun/star/script/XTypeConverter.hpp"
#include "com/sun/star/sdb/CommandType.hpp"
#include "com/sun/star/sdb/ParametersRequest.hpp"
#include "com/sun/star/sdb/RowSetVetoException.hpp"
#include "com/sun/star/sdb/SQLContext.hpp"
#include "com/sun/star/sdb/SQLErrorEvent.hpp"
#include "com/sun/star/sdb/SQLFilterOperator.hpp"
#include "com/sun/star/sdb/XColumn.hpp"
#include "com/sun/star/sdb/XColumnUpdate.hpp"
#include "com/sun/star/sdb/XCompletedConnection.hpp"
#include "com/sun/star/sdb/XDatabaseEnvironment.hpp"
#include "com/sun/star/sdb/XInteractionSupplyParameters.hpp"
#include "com/sun/star/sdb/XParametersSupplier.hpp"
#include "com/sun/star/sdb/XQueriesSupplier.hpp"
#include "com/sun/star/sdb/XSingleSelectQueryComposer.hpp"
#include "com/sun/star/sdb/application/XTableUIProvider.hpp"
#include "com/sun/star/sdbc/ColumnSearch.hpp"
#include "com/sun/star/sdbc/ColumnValue.hpp"
#include "com/sun/star/sdbc/DataType.hpp"
#include "com/sun/star/sdbc/DriverPropertyInfo.hpp"
#include "com/sun/star/sdbc/FetchDirection.hpp"
#include "com/sun/star/sdbc/IndexType.hpp"
#include "com/sun/star/sdbc/KeyRule.hpp"
#include "com/sun/star/sdbc/ProcedureResult.hpp"
#include "com/sun/star/sdbc/ResultSetConcurrency.hpp"
#include "com/sun/star/sdbc/ResultSetType.hpp"
#include "com/sun/star/sdbc/SQLException.hpp"
#include "com/sun/star/sdbc/SQLWarning.hpp"
#include "com/sun/star/sdbc/TransactionIsolation.hpp"
#include "com/sun/star/sdbc/XArray.hpp"
#include "com/sun/star/sdbc/XBatchExecution.hpp"
#include "com/sun/star/sdbc/XBlob.hpp"
#include "com/sun/star/sdbc/XClob.hpp"
#include "com/sun/star/sdbc/XCloseable.hpp"
#include "com/sun/star/sdbc/XColumnLocate.hpp"
#include "com/sun/star/sdbc/XConnection.hpp"
#include "com/sun/star/sdbc/XDataSource.hpp"
#include "com/sun/star/sdbc/XDatabaseMetaData.hpp"
#include "com/sun/star/sdbc/XDriver.hpp"
#include "com/sun/star/sdbc/XDriverAccess.hpp"
#include "com/sun/star/sdbc/XDriverManager.hpp"
#include "com/sun/star/sdbc/XGeneratedResultSet.hpp"
#include "com/sun/star/sdbc/XMultipleResults.hpp"
#include "com/sun/star/sdbc/XOutParameters.hpp"
#include "com/sun/star/sdbc/XParameters.hpp"
#include "com/sun/star/sdbc/XPooledConnection.hpp"
#include "com/sun/star/sdbc/XPreparedBatchExecution.hpp"
#include "com/sun/star/sdbc/XPreparedStatement.hpp"
#include "com/sun/star/sdbc/XRef.hpp"
#include "com/sun/star/sdbc/XResultSet.hpp"
#include "com/sun/star/sdbc/XResultSetMetaData.hpp"
#include "com/sun/star/sdbc/XResultSetMetaDataSupplier.hpp"
#include "com/sun/star/sdbc/XResultSetUpdate.hpp"
#include "com/sun/star/sdbc/XRow.hpp"
#include "com/sun/star/sdbc/XRowSet.hpp"
#include "com/sun/star/sdbc/XRowUpdate.hpp"
#include "com/sun/star/sdbc/XStatement.hpp"
#include "com/sun/star/sdbc/XWarningsSupplier.hpp"
#include "com/sun/star/sdbcx/CheckOption.hpp"
#include "com/sun/star/sdbcx/CompareBookmark.hpp"
#include "com/sun/star/sdbcx/KeyType.hpp"
#include "com/sun/star/sdbcx/Privilege.hpp"
#include "com/sun/star/sdbcx/PrivilegeObject.hpp"
#include "com/sun/star/sdbcx/XAlterTable.hpp"
#include "com/sun/star/sdbcx/XAppend.hpp"
#include "com/sun/star/sdbcx/XAuthorizable.hpp"
#include "com/sun/star/sdbcx/XColumnsSupplier.hpp"
#include "com/sun/star/sdbcx/XCreateCatalog.hpp"
#include "com/sun/star/sdbcx/XDataDefinitionSupplier.hpp"
#include "com/sun/star/sdbcx/XDataDescriptorFactory.hpp"
#include "com/sun/star/sdbcx/XDeleteRows.hpp"
#include "com/sun/star/sdbcx/XDrop.hpp"
#include "com/sun/star/sdbcx/XGroupsSupplier.hpp"
#include "com/sun/star/sdbcx/XIndexesSupplier.hpp"
#include "com/sun/star/sdbcx/XKeysSupplier.hpp"
#include "com/sun/star/sdbcx/XRename.hpp"
#include "com/sun/star/sdbcx/XRowLocate.hpp"
#include "com/sun/star/sdbcx/XTablesSupplier.hpp"
#include "com/sun/star/sdbcx/XUser.hpp"
#include "com/sun/star/sdbcx/XUsersSupplier.hpp"
#include "com/sun/star/sdbcx/XViewsSupplier.hpp"
#include "com/sun/star/sheet/CellFlags.hpp"
#include "com/sun/star/sheet/XCellRangeAddressable.hpp"
#include "com/sun/star/sheet/XCellRangeReferrer.hpp"
#include "com/sun/star/sheet/XCellRangesQuery.hpp"
#include "com/sun/star/sheet/XDatabaseRange.hpp"
#include "com/sun/star/sheet/XDatabaseRanges.hpp"
#include "com/sun/star/sheet/XSpreadsheet.hpp"
#include "com/sun/star/sheet/XSpreadsheetDocument.hpp"
#include "com/sun/star/sheet/XUsedAreaCursor.hpp"
#include "com/sun/star/task/XInteractionHandler.hpp"
#include "com/sun/star/task/XInteractionRequest.hpp"
#include "com/sun/star/text/XText.hpp"
#include "com/sun/star/ucb/SearchCommandArgument.hpp"
#include "com/sun/star/ucb/SearchRecursion.hpp"
#include "com/sun/star/ucb/XCommandEnvironment.hpp"
#include "com/sun/star/ucb/XContent.hpp"
#include "com/sun/star/ucb/XContentAccess.hpp"
#include "com/sun/star/ucb/XContentIdentifier.hpp"
#include "com/sun/star/ucb/XContentProvider.hpp"
#include "com/sun/star/ucb/XContentProviderManager.hpp"
#include "com/sun/star/ucb/XDynamicResultSet.hpp"
#include "com/sun/star/ucb/XSortedDynamicResultSetFactory.hpp"
#include "com/sun/star/ui/dialogs/XExecutableDialog.hpp"
#include "com/sun/star/uno/Any.hxx"
#include "com/sun/star/uno/Exception.hpp"
#include "com/sun/star/uno/Reference.h"
#include "com/sun/star/uno/Reference.hxx"
#include "com/sun/star/uno/RuntimeException.hpp"
#include "com/sun/star/uno/Sequence.h"
#include "com/sun/star/uno/Sequence.hxx"
#include "com/sun/star/uno/XAggregation.hpp"
#include "com/sun/star/uno/XInterface.hpp"
#include "com/sun/star/uno/XNamingService.hpp"
#include "com/sun/star/util/Date.hpp"
#include "com/sun/star/util/DateTime.hpp"
#include "com/sun/star/util/NumberFormat.hpp"
#include "com/sun/star/util/Time.hpp"
#include "com/sun/star/util/XCancellable.hpp"
#include "com/sun/star/util/XFlushable.hpp"
#include "com/sun/star/util/XNumberFormatTypes.hpp"
#include "com/sun/star/util/XNumberFormats.hpp"
#include "com/sun/star/util/XNumberFormatsSupplier.hpp"
#include "com/sun/star/util/XNumberFormatter.hpp"
#include "com/sun/star/util/XRefreshable.hpp"

#include "comphelper/broadcasthelper.hxx"
#include "comphelper/componentcontext.hxx"
#include "comphelper/container.hxx"
#include "comphelper/enumhelper.hxx"
#include "comphelper/evtlistenerhlp.hxx"
#include "comphelper/interaction.hxx"
#include "comphelper/listenernotification.hxx"
#include "comphelper/numbers.hxx"
#include "comphelper/officeresourcebundle.hxx"
#include "comphelper/processfactory.hxx"
#include "comphelper/propertycontainer.hxx"
#include "comphelper/regpathhelper.hxx"
#include "comphelper/seqstream.hxx"
#include "comphelper/sequence.hxx"
#include "comphelper/types.hxx"
#include "comphelper/uno3.hxx"

#include "cppuhelper/bootstrap.hxx"
#include "cppuhelper/compbase1.hxx"
#include "cppuhelper/compbase10.hxx"
#include "cppuhelper/compbase12.hxx"
#include "cppuhelper/compbase2.hxx"
#include "cppuhelper/compbase3.hxx"
#include "cppuhelper/compbase4.hxx"
#include "cppuhelper/compbase5.hxx"
#include "cppuhelper/compbase6.hxx"
#include "cppuhelper/compbase7.hxx"
#include "cppuhelper/compbase8.hxx"
#include "cppuhelper/component.hxx"
#include "cppuhelper/component_context.hxx"
#include "cppuhelper/exc_hlp.hxx"
#include "cppuhelper/factory.hxx"
#include "cppuhelper/implbase1.hxx"
#include "cppuhelper/implbase10.hxx"
#include "cppuhelper/implbase2.hxx"
#include "cppuhelper/implbase3.hxx"
#include "cppuhelper/implbase4.hxx"
#include "cppuhelper/implbase5.hxx"
#include "cppuhelper/interfacecontainer.h"
#include "cppuhelper/interfacecontainer.hxx"
#include "cppuhelper/propshlp.hxx"
#include "cppuhelper/queryinterface.hxx"
#include "cppuhelper/servicefactory.hxx"
#include "cppuhelper/typeprovider.hxx"
#include "cppuhelper/weak.hxx"
#include "cppuhelper/weakref.hxx"

#include "i18npool/mslangid.hxx"

#include "jvmaccess/virtualmachine.hxx"

#include "jvmfwk/framework.h"

#include "osl/conditn.hxx"
#include "osl/diagnose.h"
#include "osl/file.h"
#include "osl/file.hxx"
#include "osl/interlck.h"
#include "osl/module.h"
#include "osl/mutex.hxx"
#include "osl/nlsupport.h"
#include "osl/process.h"
#include "osl/security.hxx"
#include "osl/thread.h"
#include "osl/thread.hxx"

#include "rtl/alloc.h"
#include "rtl/bootstrap.hxx"
#include "rtl/byteseq.hxx"
#include "rtl/digest.h"
#include "rtl/logfile.hxx"
#include "rtl/math.hxx"
#include "rtl/process.h"
#include "rtl/ref.hxx"
#include "rtl/string.h"
#include "rtl/string.hxx"
#include "rtl/tencinfo.h"
#include "rtl/textenc.h"
#include "rtl/ustrbuf.hxx"
#include "rtl/ustring.hxx"

#include "sys/types.h"

#include "tools/diagnose_ex.h"

#include "ucbhelper/content.hxx"
#include "ucbhelper/contentbroker.hxx"

#include "uno/environment.hxx"
#include "uno/mapping.hxx"

#include "unotools/configmgr.hxx"
#include "unotools/confignode.hxx"
#include "unotools/processfactory.hxx"
#include "unotools/sharedunocomponent.hxx"

#include "vos/mutex.hxx"
#include "vos/process.hxx"
#include "vos/ref.hxx"
#include "vos/ref.hxx"		
#include "vos/refernce.hxx"
#include "vos/timer.hxx"
//---MARKER---

#endif
